> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Список цепочек

GET https://api.agentinbox.space/v0/threads

**CLI:**
```bash
agentinbox threads list
```

Reference: https://agentinbox.space/api-reference/threads/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Query parameters

- `limit` (integer, optional) — Максимальное число возвращаемых элементов.
- `page_token` (string, optional) — Токен страницы для постраничной выборки.
- `labels` (list of string, optional) — Метки для фильтрации.
- `before` (datetime, optional) — Временная метка «раньше чем» для фильтра.
- `after` (datetime, optional) — Временная метка «позже чем» для фильтра.
- `ascending` (boolean, optional) — Сортировать по времени по возрастанию.
- `include_spam` (boolean, optional) — Включать спам в результаты.
- `include_blocked` (boolean, optional) — Включать заблокированные в результаты.
- `include_trash` (boolean, optional) — Включать корзину в результаты.

## Response

### 200

- `count` (integer, required) — Число возвращённых элементов.
- `threads` (list of ThreadItem, required) — Упорядочено по `timestamp` по убыванию.
- `limit` (integer, optional) — Максимальное число возвращаемых элементов.
- `next_page_token` (string, optional) — Токен страницы для постраничной выборки.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

## Types

### ThreadItem

- `inbox_id` (string, required) — Идентификатор ящика.
- `thread_id` (string, required) — Идентификатор цепочки.
- `labels` (list of string, required) — Метки цепочки.
- `timestamp` (datetime, required) — Время последнего отправленного или полученного сообщения.
- `senders` (list of string, required) — Отправители в цепочке. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `recipients` (list of string, required) — Получатели в цепочке. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `last_message_id` (string, required) — Идентификатор последнего сообщения.
- `message_count` (integer, required) — Число сообщений в цепочке.
- `size` (integer, required) — Размер цепочки в байтах.
- `updated_at` (datetime, required) — Время последнего обновления цепочки.
- `created_at` (datetime, required) — Время создания цепочки.
- `received_timestamp` (datetime, optional) — Время последнего полученного сообщения.
- `sent_timestamp` (datetime, optional) — Время последнего отправленного сообщения.
- `subject` (string, optional) — Тема цепочки.
- `preview` (string, optional) — Превью текста последнего сообщения.
- `attachments` (list of Attachment, optional) — Вложения в цепочке.

### Attachment

- `attachment_id` (string, required) — Идентификатор вложения.
- `size` (integer, required) — Размер вложения в байтах.
- `filename` (string, optional) — Имя файла вложения.
- `content_type` (string, optional) — MIME-тип вложения.
- `content_disposition` (enum, optional) — Content-Disposition вложения.
  - Allowed values: `inline`, `attachment`
- `content_id` (string, optional) — Content-ID вложения.

## Examples

**Response**

```json
{
  "count": 1,
  "threads": [
    {
      "inbox_id": "inbox_id",
      "thread_id": "thread_id",
      "labels": [
        "labels",
        "labels"
      ],
      "timestamp": "2024-01-15T09:30:00Z",
      "senders": [
        "senders",
        "senders"
      ],
      "recipients": [
        "recipients",
        "recipients"
      ],
      "last_message_id": "last_message_id",
      "message_count": 1,
      "size": 1,
      "updated_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "received_timestamp": "2024-01-15T09:30:00Z",
      "sent_timestamp": "2024-01-15T09:30:00Z",
      "subject": "subject",
      "preview": "preview",
      "attachments": [
        {
          "attachment_id": "attachment_id",
          "size": 1,
          "filename": "filename",
          "content_type": "content_type",
          "content_disposition": "inline",
          "content_id": "content_id"
        },
        {
          "attachment_id": "attachment_id",
          "size": 1,
          "filename": "filename",
          "content_type": "content_type",
          "content_disposition": "inline",
          "content_id": "content_id"
        }
      ]
    },
    {
      "inbox_id": "inbox_id",
      "thread_id": "thread_id",
      "labels": [
        "labels",
        "labels"
      ],
      "timestamp": "2024-01-15T09:30:00Z",
      "senders": [
        "senders",
        "senders"
      ],
      "recipients": [
        "recipients",
        "recipients"
      ],
      "last_message_id": "last_message_id",
      "message_count": 1,
      "size": 1,
      "updated_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "received_timestamp": "2024-01-15T09:30:00Z",
      "sent_timestamp": "2024-01-15T09:30:00Z",
      "subject": "subject",
      "preview": "preview",
      "attachments": [
        {
          "attachment_id": "attachment_id",
          "size": 1,
          "filename": "filename",
          "content_type": "content_type",
          "content_disposition": "inline",
          "content_id": "content_id"
        },
        {
          "attachment_id": "attachment_id",
          "size": 1,
          "filename": "filename",
          "content_type": "content_type",
          "content_disposition": "inline",
          "content_id": "content_id"
        }
      ]
    }
  ],
  "limit": 1,
  "next_page_token": "next_page_token"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/threads"

headers = {"Authorization": "Bearer  <api_key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/threads';
const options = {method: 'GET', headers: {Authorization: 'Bearer  <api_key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/threads"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer  <api_key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/threads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer  <api_key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentinbox.space/v0/threads")
  .header("Authorization", "Bearer  <api_key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentinbox.space/v0/threads', [
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/threads");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer  <api_key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer  <api_key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/threads")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```